<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="js_cc<?php echo $params->get( 'moduleclass_sfx' ) ?>">

<?php if ($headerText) : ?>
	<div class="js_cc_"><?php echo $headerText ?></div>
<?php endif; ?>
	
<ul class="menu<?php echo $params->get( 'menuclass_sfx' ) ?>">
<?php 

$show_date 				= $params->get('show_date', 1);
$date_format 			= $params->get('date_format', '%B %a %Y');
$show_category 			= $params->get('show_category', 1);
$show_category_image 	= $params->get('show_category_icon', 1);
$show_type 	            = $params->get('show_type', 0);
$show_author            = $params->get('show_author', 0);
$show_article_title 	= $params->get('show_article_title', 1);
$limit_title_chars		= $params->get('limit_title', 0);
$show_points_title		= $params->get('show_points', 0);
$category_image_dir		= "images/stories/";
jimport("joomla.utilities.date");
jimport("joomla.utilities.string");		
$max_width 	= $params->get('icon_width', 100);
$max_height = $params->get('icon_height', 70);
$quality 	= 100;
$show_field = $params->get('show_field', 0);
$field_all_list = ( !is_array($params->get('field_id')) ) ? array($params->get('field_id')) : $params->get('field_id');
$fields_as_link = ( !is_array($params->get('field_id_link')) ) ? array($params->get('field_id_link')) : $params->get('field_id_link');
// for saving fields
static $fields = array();

foreach ($rows AS $row):
	$date 		= new JDate( $row->ctime );
	$tmpFile 	= JPATH_CACHE.DS.$row->image;
	$link 	= JRoute::_(MEUrl::link_record($row, $row->cat_id));
	$link_cat   = MERoute::_(MEUrl::link_list($row->cat_id)); 
	if( is_file($category_image_dir.$row->image) ){
		modJSContentListHelper::imageResize($category_image_dir.$row->image, $tmpFile, $max_width, $max_height, $quality);
	}
?>
	<li class="item<?php echo $row->id; ?>">	
		<table cellpadding="0" cellspacing="0" border="0">
			<!-- <tr><td><?php echo $row->user_id; ?></td></tr> -->
			<tr>
			<?php  if($show_category_image ) : 
						if( $row->image == '' ){
				?>	  	   <td>&nbsp;</td>
					<?php } else {?>
							<td><?php if(is_file("cache/".$row->image) ) : ?>
										<img src="<?php echo JURI::root()."cache/".$row->image; ?>"/>
								<?php else : ?>&nbsp;<?php endif; ?>
							</td>		
					<?php } 
					endif; ?>				
				<td>				
		<?php
			if($params->get('sh_title', 1) == 1 ){
				if( $show_article_title ){
					if( $limit_title_chars != 0 ){
					    if( JString::strlen($row->title) > $limit_title_chars ){
    						$row->title = JString::substr($row->title, 0, $limit_title_chars);
    						if($show_points_title) $row->title .= "...";
					    }
					}
					if( $show_article_title == 1){
		?>				<div><a href="<?php echo $link; ?>"><?php echo $row->title; ?></a></div>
		        <?php }else{?>
		        		<div><?php echo $row->title; ?></div>
		        <?php }?>
		<?php 	}
			}
			if( $show_author ):	?>
				<?php echo "<span class='small'>".JText::_('Author').":</span>"; ?>
				
					<span class="small" style="font-weight: bold">
					    <?php 
					    if(MECommunityHelper::isEnabled()){
					        echo JSCommunityApi::getUserSlideMenu($row->user_id, $row->username);
					    }else{
					        echo $row->username;
					    }?>
				    </span>
					<br />
		<?php endif; 
		
		if( $show_type ):	?>
				<?php echo "<span class='small'>".JText::_('Type').":</span>"; ?>
				
					<span class="small" style="font-weight: bold"><?php echo $row->type;?></span>
					<br />
		<?php endif; ?>
		
		<?php if( $show_category ):	?>
				<?php echo "<span class='small'>".JText::_('Category:')."</span>"; ?>
				<a href="<?php echo $link_cat; ?>">
					<span class="small" style="font-weight: bold"><?php echo $row->name; ?></span>
				</a>			
		<?php endif; ?>
		
		 <?php if( $show_date ) : ?>		 		
		 			<div><span class="createdate"><?php echo $date->toFormat( JText::_( $date_format ) ); ?></span></div>
		 <?php endif; ?>
		 
		<?php if($params->get('sh_title', 1) == 0 ) { 
				if($show_article_title){
					if( $limit_title_chars != 0 ){
					    if( JString::strlen($row->title) > $limit_title_chars ){
    						$row->title = JString::substr($row->title, 0, $limit_title_chars);
    						if($show_points_title) $row->title .= "...";
					    }
					}
		?>			 <a href="<?php echo $link; ?>"><?php echo $row->title; ?></a>			
		<?php 	}
			} ?>		 		
				</td>
			</tr>			
		</table>
		
		<?php 
			// show article fields
			if($show_field):			
				$obj = new ResModelList();
				$field_list = $obj->getFields($row->id, 1);
					
					echo "<table>";
					foreach($field_list AS $field){
					
						
						if( in_array($field->fid, $field_all_list) ){							
							$get = '';
							$fparam = new JParameter($field->params);
							$module_params = $params->toArray();
							
							foreach($module_params As $key => $param ){
								if( $key == 'show_type_label' ) continue;
							    if( $param ) {
								    if( is_array($param) )
								        $param = serialize($param);
								    $fparam->set( $key, $param); 	
								}elseif(is_numeric($param)) 
								    $fparam->set($key, $param); 	
							}		
                            $field->filter = 0;
							// picture field hack							
							if( $field->type == 'picture' ) {
							    $fparam->set('bresize', 1);
								$view = JRequest::getVar('view');
								$controller = JRequest::getWord('controller');
								JRequest::setVar('view', 'list');
								JRequest::setVar('controller', null);
								JRequest::setVar('category_id', $row->cat_id);
							}	
							
							// galery2 field hack
							if( $field->type == 'gallery2' ) {
							    $fparam->set('bresize', 1);
								$article = JRequest::getVar('article');
								JRequest::setVar('article', null);
								JRequest::setVar('category_id', $row->cat_id);
							}
							$field->params = $fparam->toString();			
							$get = MightyResourcesApi::getFieldValue($field, $row, $row->cat_id);
                            if( in_array($field->fid, $fields_as_link)){
                                echo "<tr><td><a href='{$link}'>{$get}</a></td></tr>";
                            } else{
                                echo "<tr><td>".$get."</td></tr>";
                            }
							
							// picture field hack
							if( $field->type == 'picture' ) {
								JRequest::setVar('view', $view);
								JRequest::setVar('controller', $controller);
								JRequest::setVar('category_id', null);
							}
							
							// galery2 field hack
							if( $field->type == 'gallery2' ) {
								JRequest::setVar('article', $article);
								JRequest::setVar('category_id', null);	
							}
						}
					}
				echo "</table><br/>";
			endif; ?>	
	</li>
<?php endforeach; ?>
</ul>
<?php 
	if( $params->get('view_more', 0) == 1 ){		
		$link_cat = modJSContentListHelper::getReadMore($params);
		?>
		<div><a href="<?php echo $link_cat; ?>" class="readon"><?php echo JText::_('View More Articles'); ?></a></div>
		<?php
	}	
?>
<?php if ($footerText) : ?>
	<div class="js_cc_<?php echo $params->get( 'moduleclass_sfx' ) ?>">
		 <?php echo $footerText; ?>
	</div>
<?php endif; ?>
</div>
<div style="clear: both"></div>