<?php
/**
* @version		$Id: helper.php 10381 2008-06-01 03:35:53Z pasamio $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modRssFeederHelper
{
  function getRssSpring(&$params)
	{
		$document =& JFactory::getDocument();
		
		foreach($document->_links as $link)
		{
			if(strpos($link, 'application/'.$params->get('format').'+xml')) {
				preg_match("#href=\"(.*?)\"#s", $link, $matches);
				return $matches[1];
			}
		}

	}
  
	function getLinks( &$params )
	{
		
		$uri = JURI::getInstance();

    	$article = 1;
    
		$params->loadSetupFile( JPATH_ROOT."/modules/mod_rssfeeder/mod_rssfeeder.xml" );
				$rss_url = modRssFeederHelper::getRssSpring( $params );
		
		if( !$rss_url ) return array();
		
		$Aparams = $params->toArray();
    
		$items = Array();
		
    foreach ( $Aparams as $param ) {
    	$item = @unserialize( stripslashes( $param ) );
    	if( $item && $item['element_type'] == 'rssfeeder' ) {
    	  $items[] = $item;
    	}
    }
		$out = array();
		$u = JFactory::getURI();
		//var_dump($u);
		//$u = JURI::getInstance($u);
		$url =  $u->get('_scheme').'://'.$u->get('_host').$rss_url;
		$replacements['needle'][] = '[*url*]'; 
		$replacements['replace'][] = $url;
		
		foreach( $items as $item) {
			$img = '<img src="'.JURI::root().'modules/mod_rssfeeder/images/'.$item['image'].'">';
			$out[] ='<a href="'.str_replace( $replacements['needle'], $replacements['replace'], $item['url'] ).'" target="blank">'.$img.'</a> ';
		}
		return $out;
	}
}
