<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

class modJSContentCategoryHelper
{
	
	function getTreeDecoratedCategory($cat_object, $params, $level = 0){
	    
	    $html = '';
	    
	    if( !is_object($cat_object) )
	        return;
	        
		if($params->get('tree_list_output', 0) == 0) {
    		$html .= '
    		<li>
    			<a class="category" href="'.JRoute::_(MEUrl::link_list($cat_object->id/*, array('itemid' => $params->get('item_id'))*/)).'">
    			  '.$cat_object->name.($params->get( 'show_items_num') ? ' ('.$cat_object->nums.')' : '').'
    			</a>';
    		
	        if( !empty($cat_object->children) ){
    		    foreach ($cat_object->children as $child) {
    		        $html .= '<ul class="sub_menu">';
    		    	$html .= modJSContentCategoryHelper::getTreeDecoratedCategory($child, $params);
    		    	$html .= '</ul>';
    		    }
	        }
    		$html .= '</li>';
		}else{
		    $html .= '
    		<li style="padding-left: '.($level*10).'px;">
    			<a class="category" href="'.JRoute::_(MEUrl::link_list($cat_object->id/*, array('itemid' => $params->get('item_id'))*/)).'">
    			  '.$cat_object->name.($params->get( 'show_items_num') ? ' ('.$cat_object->nums.')' : '').'
    			</a>';
    		$html .= '</li>';
	        if( !empty($cat_object->children) ){
    		    foreach ($cat_object->children as $child) {
    		    	$html .= modJSContentCategoryHelper::getTreeDecoratedCategory($child, $params, $level + 1);
    		    }
	        }
		}
	    return $html;
	}
  
  	function getList($category_id, $params)
  	{
  	    JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'models');
  	    $model = JModel::getInstance('List', 'ResModel');
        $sec_params = ResHelper::getSectionParams($category_id);
        if( $params->get('show_items_num') )
            $sec_params->set('cat_nums',1);
        return $model->getCategoriesList($category_id, $sec_params);
  	}
  	
  	function getHomeCategory($category_id){
  	    
  	    $model = JModel::getInstance('List', 'ResModel');
  	    return $model->getCategory($category_id);
  	}
	
	function JSCSS($suffix, &$params){
		$menu_id            = 'nav'.$suffix;
		$menu_function      = 'sfHover'.$suffix;

    $sub_menu_optional_style = '';
    if($params->get( 'sub_menu_border_style' )){
      $sub_menu_optional_style .= 'border-style: '.$params->get( 'sub_menu_border_style' ).';';
    }
    if($params->get( 'sub_menu_border_width' )){
      $sub_menu_optional_style .= 'border-width: '.$params->get( 'sub_menu_border_width' ).'px;';
    }
    if($params->get( 'sub_menu_border_color' )){
      $sub_menu_optional_style .= 'border-color: '.$params->get( 'sub_menu_border_color' ).';';
    }
    if($params->get( 'sub_menu_background_color' )){
      $sub_menu_optional_style .= 'background: '.$params->get( 'sub_menu_background_color' ).';';
    }
    
    $css = '
        #'.$menu_id.',
        #'.$menu_id.' ul { /* all lists */
     	}
    	
    	#'.$menu_id.' li { /* all list items */
    		position : relative;
    	}
    	
    	#'.$menu_id.' li ul { /* second-level lists */
    		position : absolute;
    		left: -999em;
    		'.$sub_menu_optional_style.'	
    	}
    	
    	#'.$menu_id.' li ul ul { /* third-and-above-level lists */
    		left: -999em;
    	}
    	
    	#'.$menu_id.' li a {
    	   padding-left:10px;
    	}
    	
    	#'.$menu_id.' li a:hover {
    	}
    	
    	#'.$menu_id.' li:hover ul ul,
    	#'.$menu_id.' li:hover ul ul ul,
    	#'.$menu_id.' li.sfhover ul ul,
    	#'.$menu_id.' li.sfhover ul ul ul {
    		left: -999em;
    	}
    	
    	#'.$menu_id.' li:hover ul,
    	#'.$menu_id.' li.sfhover ul,
    	#'.$menu_id.' li li:hover ul,
    	#'.$menu_id.' li li.sfhover ul,
    	#'.$menu_id.' li li li:hover ul,
    	#'.$menu_id.' li li li.sfhover ul { /* lists nested under hovered list items */
    		left: auto;
    	}
    	
    	.menu li:hover li ul.sub_menu,
      .menu li.sfHover li ul.sub_menu,
      .menu li li:hover li ul.sub_menu,
      .menu li li.sfHover li ul.sub_menu,
      .menu li li li:hover li ul.sub_menu,
      .menu li li li.sfHover li ul.sub_menu {
      	top:auto;
      }
      .menu li li:hover ul.sub_menu,
      .menu li li.sfHover ul.sub_menu,
      .menu li li li:hover ul.sub_menu,
      .menu li li li.sfHover ul.sub_menu,
      .menu li li li li:hover ul.sub_menu,
      .menu li li li li.sfHover ul.sub_menu {
      	left: auto;
      	top:auto;
      
      }
      ';
    
    $script = "
    window.addEvent('domready', function(){ 
    	var li_height = $('".$menu_id."').getElement('li').getCoordinates().height;

          $('".$menu_id."').getElements('ul').each(function (el){
        	  el.setStyles({
        		  width : (el.getCoordinates().width)+'px',
        		  marginLeft : (el.getParent().getCoordinates().width) +'px',
       		      marginTop : - li_height
        	  });
          });
       });
    ";
    
    $doc = &JFactory::getDocument();
    
    $doc->addStyleDeclaration($css);
    $doc->addScriptDeclaration($script);
    
	}
}

?>