<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

class modJSContentListHelper
{
	function modJSContentListHelper(){

	}

	function getList( $params )
	{
		$db = & JFactory::getDBO();
		
		$sql = modJSContentListHelper::buildQuery($params);
	
		$db->setQuery($sql);

		$rows = $db->loadObjectList();
		if($params->get('content_order') == 'most_visited' && $params->get('hit_period') != 'ALL')
		{
			if (!function_exists('hitfsort'))
			{
				function hitfsort($a, $b)
				{
					$ahits = $a->counthits;
					$bhits = $b->counthits;
					$aftd = $a->featured;
					$bftd = $b->featured;
					if ($ahits == $bhits && $aftd == $bftd) 
					{
	        			return 0;
				    }
				    else if ($aftd != $bftd)
				    {
					    return ($aftd > $bftd) ? -1 : 1;
				    }
				    else if ($ahits != $bhits)
				    {
					    return ($ahits > $bhits) ? -1 : 1;
				    }
				}
			}
			if (!function_exists('hitsort'))
			{
				function hitsort($a, $b)
				{
					$ahits = $a->counthits;
					$bhits = $b->counthits;
					if ($ahits == $bhits) 
					{
	        			return 0;
				    }
					return ($ahits > $bhits) ? -1 : 1;
				}
			}
			if ($rows)
			{
				if($params->get('show_only_featured', 0) == 2)
				{
					$sort_func = 'hitfsort';
				}
				else
				{
					$sort_func = 'hitsort';
				}
				usort($rows, $sort_func);
			}
		}
//		print_r('<pre>'.$sql.'</pre>');//exit;
		return $rows;
	}
	
	function buildQuery($params )
	{
		global $mainframe, $option;

		$where = modJSContentListHelper::buildWhere($params);
		$order = modJSContentListHelper::buildOrder($params);
		$join = modJSContentListHelper::buildJoin($params);
		if($params->get('content_order') == 'most_visited')
		{
			$params->get('hit_period') == 'ALL'? $select = '':$select = 'COUNT(rh.id) AS counthits, ';
		}
		else 
		{
			$select = '';
		}
		
		$query = "SELECT ".$select."r.*, rc.id AS cat_id, rc.name AS name, rc.image " 
		    .($params->get('show_author', 0) ? ', u.username' : '')
		    .($params->get('show_type', 0) ? ', type.name as type' : '')
			."\n FROM #__js_res_record AS r "
			."\n INNER JOIN #__js_res_record_category AS c ON c.record_id = r.id "
			."\n INNER JOIN #__js_res_category AS rc ON rc.id = c.catid ";
		$query .= $join;
		$query	.= $where. 
			 "\n AND r.published=1 "
			."\n AND rc.published=1 "
			."\n GROUP BY r.id ";
			if($order)
			{
				$query .= "\n ORDER BY ". $order;
			}
			
		$query .= ($params->get('max_content_number') != 0) ? "\n LIMIT ".($params->get('offset', 0) != 0 ? $params->get('offset').',' : '').intval($params->get('max_content_number')) : "";
//		print_r($query);//exit;
		return $query;
	}
	
	function buildWhere($params)
	{
		// Tags relation since version 2.6.0
		if( $params->get('depend_on_tags', 0) ){
			$id = JRequest::getInt('article', 0);
			JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'models');
			$model = JModel::getInstance('Article', 'ResModel');
			$tags = $model->getTags($id);
			$tags = explode(',', $tags);
			if (count($tags)<1) {$tags = array();}
			$rows = array();
			for ($i = 0 ; $i < count($tags); $i++)
			{
				$tags[$i] = ltrim($tags[$i]);
				$tags[$i] = rtrim($tags[$i]);
				$tags[$i] = "'".$tags[$i]."'";
			}
			if (count($tags)>0)
			{
				$where[] = 't.tag IN ('.implode(' , ', $tags).') AND r.id != '.$id;
			}
		}
		
		if ($params->get('namespace', 0) == 'all'){
						
			// array where saving category_id's 
			$children = array();
			
			if($params->get('depend_on_category', 0) ){
				$catId = JRequest::getInt('category_id', 0);
				if (!empty ($catId)) $children[] = $catId;
				modJSContentListHelper::_addChildren($catId, $children);
			}
			else {
				if( is_array($params->get('category_id', 0)) AND count($params->get('category_id', 0)) ){
					$catids = $params->get('category_id', 0);
					foreach($catids AS $cat){
						$children[] = $cat;
						modJSContentListHelper::_addChildren($cat, $children);
					}
				} else {
					$catId = $params->get('category_id', 0); 			
					if (!empty ($catId)) $children[] = $catId;
					modJSContentListHelper::_addChildren($catId, $children);
				}				
			}
			
			$w1[] = 'c.catid  IN ( '.implode(' ,', $children).' )';		
		}
		else{
		
			// depends category
			if( $params->get('depend_on_category', 0) )
				$w1[] =  "c.catid = ".JRequest::getInt('category_id', 0);
			else{ 
				if( is_array($params->get('category_id', 0)) AND count($params->get('category_id', 0)) ){
					$w1[] = "c.catid IN(".implode(',', $params->get('category_id', 0)).") ";
				} else {
					$w1[] = "c.catid = ".$params->get('category_id', 0);
				}
			}
		}		
		
		if($params->get('category_id_list'))
		{
			$w1[] = "rc.id IN(".$params->get('category_id_list').")";
		}
		if($params->get('articles_id_list'))
		{
			$w1[] = "r.id IN(".$params->get('articles_id_list').")";
		}
		if(count($w1))
		{
			$where[] = "(".implode( ' OR ', $w1 ).")";
		}

		// normal time artilcles
		if($params->get('time_period', "default_time") == "default_time"){
			$where[] = "( (r.extime = '0000-00-00 00:00:00' OR r.extime > NOW()) AND r.ctime < NOW() )";
		} 
		// old expired articles
		else if( $params->get('time_period') == 'expired_time'){
			$where[] = "(r.extime < NOW() AND r.extime <> '0000-00-00 00:00:00')";
		}
		// future time articles
		else if( $params->get('time_period') == 'future_time'){
			$where[] = "(r.ctime > NOW())";
		}
		
		if($params->get('exclude_category_id_list'))
		{
			$where[] = "\n rc.id NOT IN(".$params->get('exclude_category_id_list').")";
		}
		
		/*******************/
		if( $params->get('depend_on_profile', 0) ) 
		{	
			$profile = JRequest::getVar('view', 0);
			$option	 = JRequest::getVar('option');
			$art_id = JRequest::getInt('article', 0);		
			if( $profile == "profile" || (!$art_id) ){
				$user_id = JRequest::getInt('user_id', 0);
				$user = JFactory::getUser();			
				if( $user_id != 0 )
				{			
					$where[] = "\n r.user_id = {$user_id}";
				}
				else if($user->id)
				{
					$where[] = "\n r.user_id = {$user->id}";
				}				
			}
			if ($art_id && $option = "com_resource") {
					$user_id = modJSContentListHelper::_getRecordAuthor( $art_id );
					if( $user_id != 0 )
					{
						$where[] = "\n r.user_id = {$user_id}";
					}
			}
		}
		
		$user_strict = $params->get('user_strict', 0);
		if( $user_strict ){
		    $user = &JFactory::getUser(); 
    		$user_id = $user->id;
			if( $user_id != 0 ){
				$where[] = "\n r.user_id = {$user_id}";
			}
		}
		/******************/
		
		$client = false;
        
        switch($params->get('client', 'resource'))
        {
            case 'resource':
                $where['client'] = 'r.client_id = 0';
                break;
            case 'group':
                $where['client'] = 'r.client_id != 0';
                break;
            case 'all':
            break;
        }
		
        if( $params->get('depend_on_group', 0) ) { 
		    
            $client_id = JRequest::getInt('client_id');
            if(!$client_id 
            && JRequest::getString('option', false, 'GET') == 'com_community' 
            && JRequest::getString('layout', false, 'GET') == 'group'
            && JRequest::getString('id', false, 'GET')
            )
            {
                $client_id = JRequest::getString('id', false, 'GET');
            }
            if($client_id)
    		    $where['client'] = 'r.client_id = '.$client_id; 
        }
        
		if( $params->get('show_only_featured', 0) == 1 ){
			$where[] = "\n r.featured=1";
		}
		
		$where[] = "\n r.hidden = 0";
		
		if(count($where))
		{
			$where = "\n WHERE (".implode( ' AND ', $where ).") ";
		}
		else{
			 $where = "\n WHERE 1=1";
		}
		
		return $where;
	}
	
	function buildOrder( $params )
	{
		if ($params->get('show_only_featured', 0) == 2 ){
			$order[] = "r.featured DESC";
		}
		switch($params->get('content_order'))
		{
			case 'random_content':
				$order[] = "RAND()";
				break;

			case 'new_content':
				$order[] = "r.ctime DESC";
				break;
			case 'old_content':
				$order[] = "r.ctime ASC";
				break;

			case 'most_rated':
				$order[] = "(SELECT sum(vote) FROM #__js_res_vote WHERE record_id = r.id) DESC";
				break;

			case 'most_visited':
				$period = $params->get('hit_period');
				if ($period == "ALL")
				{
					$order[] = "r.hits DESC";
				}
				break;

			case 'most_commented':
				$order = "(SELECT count(id) from #__js_res_comments where record_id = r.id) DESC";
				break;

			case 'most_favourited':
				$order[] = "(SELECT count(user_id) from #__js_res_favorite where record_id = r.id) DESC";
				break;	
			case 'article_order':
				$order[] = "r.ordering ASC";
				break;
			case 'atoz':
				$order[] = "r.title ASC";
				break;
			case 'ztoa':
				$order[] = "r.title DESC";				
				break;
			case 'lastmodified':
				$order[] = "r.mtime DESC";
				break;
		}
		if($order)
		{
			return implode(',', $order);
		}
	}
	
	function buildJoin($params){
		switch($params->get('content_order'))
		{
			case 'most_visited':
			  $period = $params->get('hit_period');
			  if ($period != "ALL"){
				  if( $period == "WEEK" ){
				    $period = "7 DAY";
				  } else {
				    $period = "1 ".$period;
				  }
					$join = "\n INNER JOIN #__js_res_hits AS rh ON (rh.record_id = r.id AND rh.ctime > (NOW() - INTERVAL ".$period."))";
			  }
			  else{
			  	$join = null;
			  }
			break;
			default:
				$join = null;
			break;
		}
		if ($params->get('show_author', 0)){
		    $join .= "\n INNER JOIN #__users as u ON u.id = r.user_id ";
		}
	    if ($params->get('show_type', 0)){
		    $join .= "\n INNER JOIN #__js_res_types as type ON type.id = r.type_id ";
		}
		if( $params->get('depend_on_tags', 0) ){
			$join .= "\n INNER JOIN #__js_res_tags_history as th ON th.record_id = r.id ".
				  	 "\n INNER JOIN #__js_res_tags as t ON th.tag_id = t.id";
		}
		return $join;
	}
	
	function _getRecordAuthor( $art_id = 0 )
	{
		if( $art_id == 0 ) { return 0; }
		$db =& JFactory::getDBO();
		$art_id = intval( $art_id );
		$sql = "SELECT user_id FROM #__js_res_record WHERE id={$art_id}";
		$db->setQuery( $sql );
		$row = $db->loadResult();
		if(!$row) return 0;
		return $row; 
	}
	
	function _addChildren($id, &$list)
	{
		// Initialize variables
		$return = true;

		// Get all rows with parent of $id
		$db =& JFactory::getDBO();

		$query = 'SELECT id' .
				' FROM #__js_res_category' .
				' WHERE parent = '.intval ($id);

		$db->setQuery( $query );
		$rows = $db->loadObjectList();

		// Recursively iterate through all children... kinda messy
		// TODO: Cleanup this method
		foreach ($rows as $row)
		{
			$found = false;
			foreach ($list as $idx)
			{
				if ($idx == $row->id) {
					$found = true;
					break;
				}
			}
			if (!$found) {
				$list[] = $row->id;
			}
			$return = modJSContentListHelper::_addChildren($row->id, $list);
		}
		return $return;
	}
	
	function imageResize($infile, $outfile, $max_width, $max_height, $quality)
	{
		global $mainframe;
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.folder');

		$infile 	= JPath::clean($infile);
		$outfile 	= JPath::clean($outfile);
		
		// The extension of the resized image file.
		$extension = JString::strtolower(JFile::getExt($infile));
		
		// output folder
		$outFolder = dirname($outfile);
		
		if (!JFolder::exists($outFolder)) {
			if (!JFolder::create($outFolder, 0777))	{
				JError::raiseWarning(403, JText::_("Cannot Create Folder resizing picture, Please, check upload
    				directory is correct and accessible"));
				return false;
			}
		}

		if(!JFile::exists($infile))	{
			JError::raiseWarning('N12343', JText::_("File not exists: ").$infile);
			return false;
		}

		$size = getimagesize($infile);

		if(($size[0] > $max_width) && ($size[0] > $size[1]))
		{
			$width  = $max_width;
			$k = $size[0] / $max_width;
			$height = ($size[1] / $k);
		}
		else
		{
			$width  = $size[0];
			$height = $size[1];
		}

		if($height > $max_height)
		{
			$k = $height / $max_height;
			$height = $max_height;
			$width = ($width / $k);
		}

		$width  = round($width);
		$height = round($height);

		switch($extension)
		{
			case "gif":
				$img = imagecreatefromgif($infile);
				break;
			case "png":
				$img = imagecreatefrompng($infile);
				break;
			case "pjpeg":
			case "bmp":
			case "jpeg":
			case "jpg":
				$img = imagecreatefromjpeg($infile);
				break;
		}
		if(!$img)
		{
			JError::raiseWarning(240, JText::_('Cannot create image: '.$infile));
			return ;
		}

		$mini  = imagecreatetruecolor($width, $height);
		$white = imagecolorallocate  ($mini,255,255,255);

		imagefilledrectangle($mini,0,0,$width,$height,$white);
		imagecopyresampled($mini,$img,0,0,0,0,$width,$height,$size[0],$size[1]);
		
		$tmpFile = JPATH_CACHE.DS.uniqid('resize');
		@imagejpeg($mini, $tmpFile, $quality);
		JFile::copy($tmpFile, $outfile);
		JFile::delete($tmpFile);

		imagedestroy($mini);
		imagedestroy($img);
	}
	
	/**
	 * Renders given field with specified parameters. Note that the rendered field is autocreated. 
	 * @param $field The field
	 * @param $params JParameter
	 * @return string
	 */
	function renderField(&$field, &$params, $userId) {
        $get = '';
        
        $params->set('show_lable', 0);
        $params->set('tabled', 0);

        $dispatcher =& JDispatcher::getInstance();
        JPluginHelper::importPlugin('joomsuite_content_fields', $field->type);
        $dispatcher->trigger('onRenderFieldValue', array (&$get, & $field, & $params, $field->type, $userId));

        return $get;
	}
	function getReadMore($params)
	{
		$link = "";
		$category_id = $params->get('category_id', JRequest::getVar('category_id', 0));
		if (is_array($category_id))
		{
			$category_id = $category_id[0];
		}
		$user = JFactory::getUser(); // get current registered user
		$link_params = array();
		// Depends on profile
		if( $params->get('depend_on_profile', 0)){
			$user_id = JRequest::getInt('user_id', 0); 
			if(!$user_id){ // if we are not in profile
				$article_id = JRequest::getInt('article', 0);
				$user_id = modJSContentListHelper::_getRecordAuthor( $article_id );				
				if( !$user_id ){
					$user_id = $user->id;
				}
				if( !$user_id && (JRequest::getVar('controller') == 'profile' || JRequest::getVar('view') == 'profile' ||JRequest::getVar('view_what') == 'created')){
					$user_id = $user->id;
				}
			}
			
			if($user_id){
			    $link_params['user_id'] = $user_id;
			    $link_params['view_what'] = 'created';
			}		
		}
		// current login user
		elseif( $params->get('user_strict', 0) ){
			$user_id = $user->id;
			if( $user_id ){
			    $link_params['user_id'] = $user_id;
			    $link_params['view_what'] = 'created';
			}
		} 
		// depends on group
		if( $params->get('depend_on_group', 0) ||  $params->get('client', 0) == 'group' ){
		    $client = JRequest::getString('client', 0, 'GET');
		    $client_id = JRequest::getString('client_id', 0, 'GET');
    		if( !$client ){
    		    if( JRequest::getString('layout', false, 'GET') == 'group' ) {
        		    
    		        if(JFile::exists(JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'models'.DS.'group.php'))
            		{
            			require_once JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'models'.DS.'group.php';
            			$model = new CommunityModelGroup();
            			$data = $model->getData();
            			$client = $data->title;
            			$client_id = $data->id;
            		}
    		    }
    		}
    		if($client){
    		    $link_params['client'] = $client;
    		    $link_params['client_id'] = $client_id;
    		}
		}
		// depends on category
		if( $params->get('depend_on_category', 0) ){			
			$cat_id = JRequest::getInt('category_id', 0);
			if($cat_id){
		        $category_id = $cat_id;
			}
		}
		
		return JRoute::_(MEUrl::link_list($category_id, $link_params));
	}
}
?>